Rivet: 3D scatter booking

| Rivet 3.1.9

Functions
3D scatter booking

## Functions
Scatter3DPtr & | Rivet::Analysis::book (Scatter3DPtr &s3d, const std::string &hname, bool copy_pts=false)
| Book a 3-dimensional data point set with the given name.
Scatter3DPtr & | Rivet::Analysis::book (Scatter3DPtr &s3d, unsigned int datasetId, unsigned int xAxisId, unsigned int yAxisId, unsigned int zAxisId, bool copy_pts=false)
| Book a 3-dimensional data point set, using the binnings in the reference data histogram.
Scatter3DPtr & | Rivet::Analysis::book (Scatter3DPtr &s3d, const std::string &hname, size_t xnpts, double xlower, double xupper, size_t ynpts, double ylower, double yupper)
| Book a 3-dimensional data point set with equally spaced x-points in a range.
Scatter3DPtr & | Rivet::Analysis::book (Scatter3DPtr &s3d, const std::string &hname, const std::vector< double > &xbinedges, const std::vector< double > &ybinedges)
| Book a 3-dimensional data point set based on provided contiguous "bin edges".
Scatter3DPtr & | Rivet::Analysis::book (Scatter3DPtr &s3d, const std::string &hname, const Scatter3D &refscatter)
| Book a 3-dimensional data point set with x-points from an existing scatter and a new path.

## Detailed Description

## Function Documentation

## ◆ book() [1/4]

Scatter3DPtr & Rivet::Analysis::book | ( | Scatter3DPtr & | s3d,
|  | const std::string & | hname,
|  | bool | copy_pts = `false`
| ) |  |
| protected

Book a 3-dimensional data point set with the given name.

Note
  Unlike histogram booking, scatter booking by default makes no attempt to use reference data to pre-fill the data object. If you want this, which is sometimes useful e.g. when the x-position is not really meaningful and can't be extracted from the data, then set the copy_pts parameter to true. This creates points to match the reference data's x values and errors, but with the y values and errors zeroed... assuming that there is a reference histo with the same name: if there isn't, an exception will be thrown.

## ◆ book() [2/4]

Scatter3DPtr & Rivet::Analysis::book | ( | Scatter3DPtr & | s3d,
|  | const std::string & | hname,
|  | const std::vector< double > & | xbinedges,
|  | const std::vector< double > & | ybinedges
| ) |  |
| protected

Book a 3-dimensional data point set based on provided contiguous "bin edges".

The y values and errors will be set to 0.

## ◆ book() [3/4]

Scatter3DPtr & Rivet::Analysis::book | ( | Scatter3DPtr & | s3d,
|  | const std::string & | hname,
|  | size_t | xnpts,
|  | double | xlower,
|  | double | xupper,
|  | size_t | ynpts,
|  | double | ylower,
|  | double | yupper
| ) |  |
| protected

Book a 3-dimensional data point set with equally spaced x-points in a range.

The y values and errors will be set to 0.

## ◆ book() [4/4]

Scatter3DPtr & Rivet::Analysis::book | ( | Scatter3DPtr & | s3d,
|  | unsigned int | datasetId,
|  | unsigned int | xAxisId,
|  | unsigned int | yAxisId,
|  | unsigned int | zAxisId,
|  | bool | copy_pts = `false`
| ) |  |
| protected

Book a 3-dimensional data point set, using the binnings in the reference data histogram.

The paper, dataset and x/y-axis IDs will be used to build the histo name in the HepData standard way.

Note
  Unlike histogram booking, scatter booking by default makes no attempt to use reference data to pre-fill the data object. If you want this, which is sometimes useful e.g. when the x-position is not really meaningful and can't be extracted from the data, then set the copy_pts parameter to true. This creates points to match the reference data's x values and errors, but with the y values and errors zeroed.